# AmiiboGenerator for Nintendo Switch
Generates all (or a seelection of) Amiibos directly on your console.

### Features:

- New interactive cli menu system with pagination etc
- Generate any Amiibo
  - Does not override existing Amiibos
  - Toggle to download Amiibo images
- Delete any Amiibo
- Toggle to display different information about each Amiibo
- Manually update the database anytime
- Integrates nicely with Emuiibo


### Controls
You can also view this in-app by pressing "B"


| Button     | Action                         |
|------------|--------------------------------|
| +          | exit                           |
| -          | update database                |
| Dpad UP    | cursor UP                      |
| Dpad DOWN  | cursor DOWN                    |
| Dpad LEFT  | page -1                        |
| Dpad RIGHT | page +1                        |
| L          | page -10                       |
| R          | page +10                       |
| ZL         | toggle select all              |
| ZR         | toggle image generation        |
| A          | toggle selection               |
| B          | toggle info screen             |
| X          | generate selected amiibo       |
| Y          | cycle amiibo info              |
| LeftStick  | delete current selected amiibo |


### Note:

It needs internet to download the amiibo database from [here](https://www.amiiboapi.com/api/amiibo/), though you can download it manually and place it in `sdmc:/emuiibo/amiibos.json`, which skips the check.

The homebrew does not generate amiibo.bin dumps and does not contain anything stolen from nintendo.
It only generates json files that emuiibo can use. They are exactly the same ones than the ones generated by emutool.

Downloading amiibos with images will take a while. The tool automatically resizes them for space & speed and converts RGB to RGBA if nessesary.



https://github.com/Slluxx/AmiiboGenerator/assets/15162905/da3eee1b-9b78-4164-830b-c394957d57f5

